Bug 951661 - Avoid calling fallocate(), even when supported, since it turns off XFS's delayed-allocation optimization
Avoid calling fallocate(), even when supported, since it turns off XFS's dela...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: crisbud@redhat.com
:
Depends On:
Blocks: 903396 978061
  Show dependency treegraph
 
Reported: 2013-04-12 13:58 EDT by Peter Portante
Modified: 2014-06-18 03:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:15:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2013-04-12 13:58:38 EDT
Using fallocate() turns off delayed-allocation in XFS, and results in substantially slower behavior for PUT operations.
Comment 1 Junaid 2013-07-09 02:43:12 EDT
Assigning the bug to Chetan as he is currently working on it.
Comment 2 crisbud@redhat.com 2013-07-16 00:20:17 EDT
A default tunable can be used to disable the fallocate calls for gluster FS. That has been documented in the configuration files. The changes are now merged into the code. 

BUG: 951661
Change-Id: I3c7d518e0415b7eea5b31c88dd647069f9d730ac
Signed-off-by: Chetan Risbud <crisbud@redhat.com>
Signed-off-by: Luis Pabon <lpabon@redhat.com>
Reviewed-on: http://review.gluster.org/5303

Note You need to log in before you can comment on or make changes to this bug.